#Hedge Maze message 3
from eventAPI import *
from APIUtils import *

lFlagU = 0

def fireEvent(e):
   global lFlagU
   lFlagU = getTag(e, "lFlagU")
   if (lFlagU != 0):
      return 1
   else:
      showMessage(e, ["The doors of the keep are rotten and fragile, yet the walls remain solid.  Even now an army would face difficulties sieging such a place."], optionInput)
      showMessage(e, ["There is an odd quiet about this place.  Though it seems abandoned, you are almost certain that something stirs beyond the gate."], optionInput)
   setTag(e, "lFlagU", 1)
   return 1
